
Foreman - Bug #1019

select all hosts and edit multiple returns the wrong list

06/30/2011 10:15 AM - Paul Kelly

Status: Rejected   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1) hosts page

2) click "all hosts on page" button

3) edit multiple environment

Host list is wrong. There are ~40 hosts selected and they appear to be the ones selected on the page plus some other random hosts.

Individually clicking the 20 hosts on the page returns the correct host list

This may be due to bug where clicking on edit multiple when no hosts are selected still drops down a menu. If I do not use the menu

when it is "disabled" then it appears to work correctly. However this need investigating.

Related issues:

Related to Foreman - Bug #1017: Edit multiple button is greyed out but the me... Closed 06/30/2011

History

#1 - 07/11/2011 03:21 AM - Ohad Levy

- Status changed from New to Need more information

- Assignee changed from Ohad Levy to Paul Kelly

Paul, I cant reproduce this problem.

Are you sure you are not getting hosts which were selected in previous pages?

#2 - 07/22/2011 06:20 AM - Paul Kelly

- Status changed from Need more information to Rejected

Clearing #1017 fixed this bug
